Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IGeometry

    java.lang.Object
      igeo.IObject
          igeo.IGeometry

All Implemented Interfaces:
  ITransformable

Direct Known Subclasses:
  IBrep, ICurve, IMesh, IPoint, ISurface

    public abstract class IGeometry

extends IObject
implements ITransformable

Transformable objects.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IGeometry()`
`IGeometry(IGeometry e)`
`IGeometry(IServerI holder)`
`IGeometry(IServerI holder, IGeometry e)`

Method Summary
`IGeometry` | `attr(IAttribute at)`
`IGeometry` | `clr(java.awt.Color c)`
`IGeometry` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IGeometry` | `clr(double dgray)`
`IGeometry` | `clr(double dgray, double dalpha)`
`IGeometry` | `clr(double dr, double dg, double db)`
`IGeometry` | `clr(double dr, double dg, double db, double da)`
`IGeometry` | `clr(float fgray)`
`IGeometry` | `clr(float fgray, float falpha)`
`IGeometry` | `clr(float fr, float fg, float fb)`
`IGeometry` | `clr(float fr, float fg, float fb, float fa)`
`IGeometry` | `clr(int gray)`
`IGeometry` | `clr(int gray, int alpha)`
`IGeometry` | `clr(int r, int g, int b)`
`IGeometry` | `clr(int r, int g, int b, int a)`
`IGeometry` | `cp()` alias of dup()
`IGeometry` | `dup()` duplicate object
`IGeometry` | `hide()`
`IGeometry` | `hsb(double dh, double ds, double db)`
`IGeometry` | `hsb(double dh, double ds, double db, double da)`
`IGeometry` | `hsb(float h, float s, float b)`
`IGeometry` | `hsb(float h, float s, float b, float a)`
`IGeometry` | `layer(ILayer l)` Set layer by ILayer object
`IGeometry` | `layer(java.lang.String layerName)` Set layer by layer name.
`IGeometry` | `setColor(java.awt.Color c)`
`IGeometry` | `setColor(java.awt.Color c, int alpha)`
`IGeometry` | `setColor(double dgray)`
`IGeometry` | `setColor(double dgray, double dalpha)`
`IGeometry` | `setColor(double dr, double dg, double db)`
`IGeometry` | `setColor(double dr, double dg, double db, double da)`
`IGeometry` | `setColor(float fgray)`
`IGeometry` | `setColor(float fgray, float falpha)`
`IGeometry` | `setColor(float fr, float fg, float fb)`
`IGeometry` | `setColor(float fr, float fg, float fb, float fa)`
`IGeometry` | `setColor(int gray)`
`IGeometry` | `setColor(int gray, int alpha)`
`IGeometry` | `setColor(int r, int g, int b)`
`IGeometry` | `setColor(int r, int g, int b, int a)`
`IGeometry` | `setHSBColor(double h, double s, double b)`
`IGeometry` | `setHSBColor(double h, double s, double b, double a)`
`IGeometry` | `setHSBColor(float h, float s, float b)`
`IGeometry` | `setHSBColor(float h, float s, float b, float a)`
`IGeometry` | `show()`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, blue, blueInt, clearDynamics, clearGraphics, clr, createGraphic, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isValid, isVisible, layer, name, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.ITransformable
`add, add, add, add, add, add, add, cp, cp, cp, div, div, flip, mirror, mirror, mul, mul, mv, mv, mv, neg, ref, ref, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, transform, transform, transform, transform, translate, translate, translate`

Constructor Detail

### IGeometry

    public IGeometry()

### IGeometry

    public IGeometry(IServerI holder)

### IGeometry

    public IGeometry(IGeometry e)

### IGeometry

    public IGeometry(IServerI holder,
                     IGeometry e)

Method Detail

### dup

    public IGeometry dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `ITransformable`
  Overrides:
    `dup` in class `IObject`

### cp

    public IGeometry cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Overrides:
    `cp` in class `IObject`

### layer

    public IGeometry layer(ILayer l)

  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### layer

    public IGeometry layer(java.lang.String layerName)

  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `IObject`

### attr

    public IGeometry attr(IAttribute at)

  Overrides:
    `attr` in class `IObject`

### hide

    public IGeometry hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IGeometry show()

  Overrides:
    `show` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c,
                         int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int gray,
                         int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dgray,
                         double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fgray,
                         float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int r,
                         int g,
                         int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dr,
                         double dg,
                         double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fr,
                         float fg,
                         float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int r,
                         int g,
                         int b,
                         int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dr,
                         double dg,
                         double db,
                         double da)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fr,
                         float fg,
                         float fb,
                         float fa)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IGeometry hsb(double dh,
                         double ds,
                         double db,
                         double da)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(float h,
                         float s,
                         float b,
                         float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(double dh,
                         double ds,
                         double db)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(float h,
                         float s,
                         float b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IGeometry setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(java.awt.Color c,
                              int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int gray,
                              int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fgray,
                              float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dgray,
                              double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int r,
                              int g,
                              int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fr,
                              float fg,
                              float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dr,
                              double dg,
                              double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int r,
                              int g,
                              int b,
                              int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fr,
                              float fg,
                              float fb,
                              float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dr,
                              double dg,
                              double db,
                              double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(float h,
                                 float s,
                                 float b,
                                 float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(double h,
                                 double s,
                                 double b,
                                 double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(float h,
                                 float s,
                                 float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(double h,
                                 double s,
                                 double b)

  Overrides:
    `setHSBColor` in class `IObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD